Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServRestrictionTimeCondition

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetServRestrictionTimeCondition

public class InetServRestrictionTimeCondition extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServRestrictionTimeCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getDaysOfMonth()`
  `Set<Integer>`
  `getDaysOfWeek()`
  `int`
  `getMode()`
  `Set<Integer>`
  `getMonths()`
  `LocalTime`
  `getTimeFrom()`
  `LocalTime`
  `getTimeTo()`
  `void`
  `setDaysOfMonth(Set<Integer> daysOfMonth)`
  `void`
  `setDaysOfWeek(Set<Integer> daysOfWeek)`
  `void`
  `setMode(int mode)`
  `void`
  `setMonths(Set<Integer> months)`
  `void`
  `setTimeFrom(LocalTime timeFrom)`
  `void`
  `setTimeTo(LocalTime timeTo)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetServRestrictionTimeCondition

    public InetServRestrictionTimeCondition()

- ## Method Details

  - ### getTimeFrom

    public LocalTime getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(LocalTime timeFrom)

  - ### getTimeTo

    public LocalTime getTimeTo()

  - ### setTimeTo

    public void setTimeTo(LocalTime timeTo)

  - ### getDaysOfWeek

    public Set<Integer> getDaysOfWeek()

  - ### setDaysOfWeek

    public void setDaysOfWeek(Set<Integer> daysOfWeek)

  - ### getMonths

    public Set<Integer> getMonths()

  - ### setMonths

    public void setMonths(Set<Integer> months)

  - ### getDaysOfMonth

    public Set<Integer> getDaysOfMonth()

  - ### setDaysOfMonth

    public void setDaysOfMonth(Set<Integer> daysOfMonth)

  - ### getMode

    public int getMode()

  - ### setMode

    public void setMode(int mode)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`